=== debian/changelog ===
ros-indigo-adhoc-communication (0.1.8-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Guenther Cwioro <g.cwioro@gmx.net>  Fri, 03 Jul 2015 11:34:34 -0000

ros-indigo-adhoc-communication (0.1.7-0trusty) trusty; urgency=high

  * Deleted deprecated file
  * Added dynamic naming of robots
  * Contributors: Neuhold Daniel, Torsten Andre

 -- Guenther Cwioro <g.cwioro@gmx.net>  Tue, 03 Feb 2015 23:00:00 -0000

ros-indigo-adhoc-communication (0.1.6-0trusty) trusty; urgency=high

  * Removed residual manifest.xml
  * Fixed CMAKES errors
  * Contributors: Torsten Andre

 -- Guenther Cwioro <g.cwioro@gmx.net>  Wed, 07 Jan 2015 23:00:00 -0000

ros-indigo-adhoc-communication (0.1.5-0trusty) trusty; urgency=high

  * Fixed compilation error map_merger
  * Contributors: Torsten Andre

 -- Guenther Cwioro <g.cwioro@gmx.net>  Tue, 09 Dec 2014 23:00:00 -0000

ros-indigo-adhoc-communication (0.1.4-0trusty) trusty; urgency=high

  * Further updates
  * Updated adhoc meta information and documentation
  * Contributors: Torsten Andre

 -- Guenther Cwioro <g.cwioro@gmx.net>  Mon, 01 Dec 2014 23:00:00 -0000
